> ## Documentation Index
> Fetch the complete documentation index at: https://docs.acedata.cloud/llms.txt
> Use this file to discover all available pages before exploring further.

# Maestro Tasks

> Openapi.553A0038Eef74E7987C79D4E7321Ca9B.Post.B9875022B927



## OpenAPI

````yaml /openapi/maestro.json post /maestro/tasks
openapi: 3.0.0
info:
  title: Maestro AI Video Studio
  version: 1.0.0
  description: API reference for Maestro AI Video Studio on Ace Data Cloud.
servers:
  - url: https://api.acedata.cloud
    description: Ace Data Cloud API
security:
  - bearerAuth: []
paths:
  /maestro/tasks:
    post:
      summary: Maestro Tasks
      description: Openapi.553A0038Eef74E7987C79D4E7321Ca9B.Post.B9875022B927
      operationId: queryMaestroTasks
      requestBody:
        required: true
        content:
          application/json:
            schema:
              oneOf:
                - title: >-
                    Openapi.553A0038Eef74E7987C79D4E7321Ca9B.Request.Single.Title
                  type: object
                  required:
                    - id
                  properties:
                    id:
                      type: string
                      description: Openapi.553A0038Eef74E7987C79D4E7321Ca9B.Id.854824Aec23D
                    action:
                      type: string
                      enum:
                        - retrieve
                      default: retrieve
                      description: Openapi.553A0038Eef74E7987C79D4E7321Ca9B.Action.Single
                  example:
                    action: retrieve
                    id: task-id
                - title: Openapi.553A0038Eef74E7987C79D4E7321Ca9B.Request.Batch.Title
                  type: object
                  required:
                    - action
                  properties:
                    action:
                      type: string
                      enum:
                        - retrieve_batch
                      description: Openapi.553A0038Eef74E7987C79D4E7321Ca9B.Action.Batch
                    limit:
                      type: integer
                      default: 20
                      minimum: 1
                      maximum: 100
                      description: Openapi.553A0038Eef74E7987C79D4E7321Ca9B.Limit.Batch
                    created_at_min:
                      type: integer
                      format: int64
                      description: >-
                        Openapi.553A0038Eef74E7987C79D4E7321Ca9B.Created At
                        Min.Batch
                    created_at_max:
                      type: integer
                      format: int64
                      description: >-
                        Openapi.553A0038Eef74E7987C79D4E7321Ca9B.Created At
                        Max.Batch
                  example:
                    action: retrieve_batch
                    limit: 20
      responses:
        '200':
          description: Openapi.553A0038Eef74E7987C79D4E7321Ca9B.200.C026Ceed87D4
          content:
            application/json:
              schema:
                oneOf:
                  - $ref: '#/components/schemas/MaestroTaskRecord'
                  - type: object
                    required:
                      - items
                      - count
                    properties:
                      items:
                        type: array
                        items:
                          $ref: '#/components/schemas/MaestroTaskRecord'
                        description: >-
                          Openapi.553A0038Eef74E7987C79D4E7321Ca9B.Items.5F4984Ed2295
                      count:
                        type: integer
                        minimum: 0
                        description: >-
                          Openapi.553A0038Eef74E7987C79D4E7321Ca9B.Count.530A37B46C33
                  - type: object
                    additionalProperties: false
                    description: Openapi.553A0038Eef74E7987C79D4E7321Ca9B.2.5919228B6B13
              example:
                items: []
                count: 0
        '401':
          description: Openapi.553A0038Eef74E7987C79D4E7321Ca9B.401.5C4A3740Cf88
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GatewayError'
              example:
                error:
                  code: invalid_token
                  message: The token is invalid.
                trace_id: trace_7f8c2b1a
        '404':
          description: Openapi.553A0038Eef74E7987C79D4E7321Ca9B.404.C6865Cf3Fd4A
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DetailError'
              example:
                detail: task not found
      security:
        - bearerAuth: []
components:
  schemas:
    MaestroTaskRecord:
      type: object
      required:
        - id
        - type
        - created_at
        - trace_id
        - request
      properties:
        id:
          type: string
          description: Openapi.553A0038Eef74E7987C79D4E7321Ca9B.Id.D4Effd96C97D
        type:
          type: string
          description: Openapi.553A0038Eef74E7987C79D4E7321Ca9B.Type.4B8A7874E60A
        trace_id:
          type: string
          description: Openapi.553A0038Eef74E7987C79D4E7321Ca9B.Trace Id.7323A169549F
        request:
          $ref: '#/components/schemas/MaestroTaskRequestPayload'
        response:
          $ref: '#/components/schemas/MaestroTaskResultPayload'
        created_at:
          type: number
          format: double
          description: Openapi.553A0038Eef74E7987C79D4E7321Ca9B.Created At.E72Ebc239E22
        started_at:
          type: number
          format: double
          description: Openapi.553A0038Eef74E7987C79D4E7321Ca9B.Started At.Fbdc27C135Ee
        finished_at:
          type: number
          format: double
          nullable: true
          description: Openapi.553A0038Eef74E7987C79D4E7321Ca9B.Finished At.57A3240Efa08
        elapsed:
          type: number
          format: double
          minimum: 0
          nullable: true
          description: Openapi.553A0038Eef74E7987C79D4E7321Ca9B.Elapsed.8Fe17354Fbd7
        user_id:
          type: string
          description: Openapi.553A0038Eef74E7987C79D4E7321Ca9B.User Id.73408317F366
        actor_user_id:
          type: string
          nullable: true
          description: Openapi.553A0038Eef74E7987C79D4E7321Ca9B.Actor User Id.Bba1Fd6B457C
        api_id:
          type: string
          description: Openapi.553A0038Eef74E7987C79D4E7321Ca9B.Api Id.9Ff8C9155D45
        application_id:
          type: string
          description: Openapi.553A0038Eef74E7987C79D4E7321Ca9B.Application Id.5E7Be9265Bea
        credential_id:
          type: string
          nullable: true
          description: Openapi.553A0038Eef74E7987C79D4E7321Ca9B.Credential Id.4D904Ed5B1A1
        authorization_id:
          type: string
          nullable: true
          description: >-
            Openapi.553A0038Eef74E7987C79D4E7321Ca9B.Authorization
            Id.732Ad35696Ca
    GatewayError:
      type: object
      required:
        - error
        - trace_id
      properties:
        error:
          type: object
          required:
            - code
            - message
          properties:
            code:
              type: string
              description: Openapi.553A0038Eef74E7987C79D4E7321Ca9B.Code.310E38D5A61D
            message:
              type: string
              description: Openapi.553A0038Eef74E7987C79D4E7321Ca9B.Message.529Fdc2D584D
        trace_id:
          type: string
          description: Openapi.553A0038Eef74E7987C79D4E7321Ca9B.Trace Id.3F20205A3Aa1
    DetailError:
      type: object
      required:
        - detail
      properties:
        detail:
          type: string
          description: Openapi.553A0038Eef74E7987C79D4E7321Ca9B.Detail.0048F8Dc3Ba0
    MaestroTaskRequestPayload:
      type: object
      additionalProperties: true
      description: >-
        Openapi.553A0038Eef74E7987C79D4E7321Ca9B.Maestrotaskrequestpayload.D2E1E8D423D8
    MaestroTaskResultPayload:
      type: object
      additionalProperties: true
      description: >-
        Openapi.553A0038Eef74E7987C79D4E7321Ca9B.Maestrotaskresultpayload.8E52Bc418991
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: API token from https://platform.acedata.cloud

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.